Bug 154783 - [UPDATE] finance/libofx: Update to 0.9.2, maintain
Summary: [UPDATE] finance/libofx: Update to 0.9.2, maintain
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: Normal Affects Only Me
Assignee: Dennis Herrmann
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2011-02-14 20:10 UTC by Jason E. Hale
Modified: 2011-02-17 21:40 UTC (History)
0 users

See Also:


Attachments
2011-02-14-libofx.diff (28.14 KB, patch)
2011-02-14 20:10 UTC, Jason E. Hale
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Jason E. Hale 2011-02-14 20:10:10 UTC
- Update finance/libofx to 0.9.2
- Take maintainership
- Mark MAKE_JOBS_SAFE
- Add LICENSE (GPLv2)
- Remove MD5
- Make API documentation optional and use PORTDOCS macro
  instead of listing files in pkg-plist
- Don't use DATADIR in pkg-plist because port is not DATADIR-safe

How-To-Repeat: Use attached diff.

Removed files:
files/patch-inc_libofx.h (irrelavent 4.x patch)
files/patch-ofx2qif_ofx2qif.c (unneeded 4.x patch)
files/patch-utf8_fix (patch applied upstream)
Comment 1 Dennis Herrmann freebsd_committer 2011-02-14 21:42:03 UTC
Responsible Changed
From-To: freebsd-ports-bugs->dhn

I'll take it.
Comment 2 Jason E. Hale 2011-02-15 03:53:43 UTC
The patch "files/patch-lib_ofx_utilites.cpp" in the original diff is wrong.  After further testing, it seems there are still problems with the 
timezone parsing in this version, so revert to the previous fix.

Attached is the new diff to files/patch-lib_ofx_utilities.cpp

--- 2011-02-14-patch-lib_ofx_utilities.cpp.diff begins here ---
diff -ruN libofx.orig/files/patch-lib_ofx_utilities.cpp libofx/files/patch-lib_ofx_utilities.cpp
--- libofx.orig/files/patch-lib_ofx_utilities.cpp	2011-02-14 10:56:44.000000000 -0500
+++ libofx/files/patch-lib_ofx_utilities.cpp	2011-02-14 22:25:28.000000000 -0500
@@ -1,20 +1,15 @@
---- lib/ofx_utilities.cpp.orig	2007-10-27 14:15:58.000000000 +0200
-+++ lib/ofx_utilities.cpp	2009-11-08 01:02:47.000000000 +0100
-@@ -16,6 +16,7 @@
-  *                                                                         *
-  ***************************************************************************/
- #include <config.h>
-+#include <locale.h>
- #include <iostream>
- #include <assert.h>
- 
-@@ -113,6 +114,9 @@
-   char time_zone_specified = false;
+--- ./lib/ofx_utilities.cpp.orig	2011-02-12 11:51:02.000000000 -0500
++++ ./lib/ofx_utilities.cpp	2011-02-14 22:24:26.000000000 -0500
+@@ -115,9 +115,10 @@
  
    time_t temptime;
-+
+ 
+-  time.tm_isdst = daylight; // iniitialize dst setting
 +  bzero(&time, sizeof(time));
 +
    std::time(&temptime);
-   local_offset = difftime(mktime(localtime(&temptime)), mktime(gmtime(&temptime)));
+-  local_offset = difftime(mktime(localtime(&temptime)), mktime(gmtime(&temptime))) + (3600*daylight);
++  local_offset = difftime(mktime(localtime(&temptime)), mktime(gmtime(&temptime)));
    
+   if(ofxdate.size()!=0){
+     if (ofxdate.substr(0,8).find_first_not_of("0123456789") != string::npos ){
--- 2011-02-14-patch-lib_ofx_utilities.cpp.diff ends here ---
Comment 3 Dennis Herrmann freebsd_committer 2011-02-15 20:18:25 UTC
State Changed
From-To: open->feedback

Ahoi, 

with your new patch, the port failed: 

http://tb.4bit.ws/index.php?action=describe_port&id=485 

pls check this. 

-dhn
Comment 4 dfilter service freebsd_committer 2011-02-17 21:31:22 UTC
dhn         2011-02-17 21:31:17 UTC

  FreeBSD ports repository

  Modified files:
    finance/libofx       Makefile distinfo pkg-plist 
    finance/libofx/files patch-lib_ofx_preproc.cpp 
                         patch-lib_ofx_utilities.cpp 
  Removed files:
    finance/libofx/files patch-inc_libofx.h 
                         patch-ofx2qif_ofx2qif.c patch-utf8_fix 
  Log:
  - Update to 0.9.2
  - Pass maintainership to submitter
  - Mark MAKE_JOBS_SAFE
  - Add LICENSE (GPLv2)
  - Remove MD5 checksum
  
  PR:             ports/154783
  Submitted by:   Jason E. Hale <bsdkaffee@gmail.com>
  
  Revision  Changes    Path
  1.33      +16 -4     ports/finance/libofx/Makefile
  1.12      +2 -3      ports/finance/libofx/distinfo
  1.2       +0 -70     ports/finance/libofx/files/patch-inc_libofx.h (dead)
  1.5       +4 -12     ports/finance/libofx/files/patch-lib_ofx_preproc.cpp
  1.3       +9 -14     ports/finance/libofx/files/patch-lib_ofx_utilities.cpp
  1.2       +0 -19     ports/finance/libofx/files/patch-ofx2qif_ofx2qif.c (dead)
  1.2       +0 -34     ports/finance/libofx/files/patch-utf8_fix (dead)
  1.11      +0 -325    ports/finance/libofx/pkg-plist
_______________________________________________
cvs-all@freebsd.org mailing list
http://lists.freebsd.org/mailman/listinfo/cvs-all
To unsubscribe, send any mail to "cvs-all-unsubscribe@freebsd.org"
Comment 5 Dennis Herrmann freebsd_committer 2011-02-17 21:31:37 UTC
State Changed
From-To: feedback->closed

Committed. Thanks!